Application: gvSIG desktop - gvSIG bugs #4087
Can't perform action 'application-project-open’
02/04/2016 11:19 AM - Antonio Falciano

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Francisco Diaz Carsi

Category:

Target version: 2.3.0-2422 (rev. org.gvsig.deskiop-2.0.128)

Severity: Critical Add-on version:

gvSIG version: 2.3.0 Add-on build:

gvSIG build: 2419 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:

Has patch: Hito:

Add-on name: Unknown

Description

This gvSIG 2.2 project can't be opened with build 2419 (see the gvSIG.log in attachment).

Related to #3990.

Associated revisions

Revision 1382 - 02/11/2016 08:51 AM - Francisco Diaz Carsi

refs #4087

- Fixed CoerceToURI

- Added warning to log and Ul when some project elements could not be loaded.
Revision 42711 - 02/11/2016 08:51 AM - Francisco Diaz Carsi

refs #4087

- Fixed CoerceToURI

- Added warning to log and Ul when some project elements could not be loaded.

History

#1 - 02/05/2016 08:34 AM - Joaquin del Cerro Murciano
- Assignee set to Francisco Diaz Carsi

#2 - 02/10/2016 09:34 AM - Francisco Diaz Carsi

Hola Antonio,

parece que el proyecto estuvo creado con el plugin de publicacion instalado en la instancia de gvSIG y que en la instancia nueva no.

¢me lo puedes confirmar?

Si es asi, ¢después de la instalacion de ese plugin, sigue fallando la carga del proyecto? ;nos pasas el nuevo log?

Gracias.

05/11/2024 1/2



https://redmine.gvsig.net/redmine/attachments/download/1565/silvia.gvsproj

#3 - 02/10/2016 09:56 AM - Antonio Falciano
- File gvSIG_with_publish.log added

Hi Francisco,
you're right! This project was saved in gvSIG 2.2 with the Publish plugin installed, while I've tried to open it with build 2419 without it. If | install the

plugin also in 2419, the project can be opened correctly. | attach the new gvSIG_with_publish.log.

#4 - 02/11/2016 09:06 AM - Francisco Diaz Carsi
- Target version changed from 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153) to 2.3.0-2422 (rev. org.gvsig.desktop-2.0.128)

- Status changed from New to Fixed

Sobre el segundo log, se ha arreglado un bug que teniamos en el coerce to uri.

Sobre el primer log, esto ocurria cuando intentdbamos cargar un proyecto que habia sido creado con una instancia de gvSIG con algun plugin
instalado que no lo tiene la instancia nueva. Al intentar cargar algin elemento que pertenece a uno de esos plugins, gvSIG no lo reconocia y no
continuaba con la carga del proyecto. Lo hemos arreglado para que se salte dichos elementos y permita cargar el resto del proyecto. Ademas le
mostramos al usuario un aviso que le indica que quizas necesite instalar algun plugin (en el momento de la carga, no podemos saber a qué plugin
pertenece el elemento que no se puede cargar, asi que no podemos indicarselo al usuario, pero si guardamos en el log una lista con dichos

elementos).

Estos cambios estaran disponibles en el préximo build (2422).

#5 - 02/15/2016 03:41 PM - Antonio Falciano

- Status changed from Fixed to Closed

It works fine in build 2422, thanks.

Files
gvSIG.log 454 KB 02/04/2016 Antonio Falciano
gvSIG_with_publish.log 398 KB 02/10/2016 Antonio Falciano
